# Class StartXmrNodeReply

#### Hierarchy

- unknown
  - StartXmrNodeReply

- Defined in src/protobuf/grpc_pb.d.ts:1304
- Defined in src/protobuf/grpc_pb.d.ts:1313

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new StartXmrNodeReply(): StartXmrNodeReply

- #### Returns StartXmrNodeReply

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1305

### toObject

- toObject(includeInstance?: boolean): StartXmrNodeReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns StartXmrNodeReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1306

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): StartXmrNodeReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StartXmrNodeReply

  - Defined in src/protobuf/grpc_pb.d.ts:1309

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StartXmrNodeReply, reader: BinaryReader): StartXmrNodeReply

- #### Parameters

  - ##### message: StartXmrNodeReply

  - ##### reader: BinaryReader

  #### Returns StartXmrNodeReply

  - Defined in src/protobuf/grpc_pb.d.ts:1310

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: StartXmrNodeReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: StartXmrNodeReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1308

### `Static` toObject

- toObject(includeInstance: boolean, msg: StartXmrNodeReply): StartXmrNodeReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StartXmrNodeReply

  #### Returns StartXmrNodeReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1307

Generated using TypeDoc